Get all resource properties of a specific resource
curl --request GET \
--url https://b.anny.co/api/v1/resources/{resource_id}/resource-properties \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/resources/{resource_id}/resource-properties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/resources/{resource_id}/resource-properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "resource-properties",
"id": "7312",
"attributes": {
"value": 20,
"order_index": 0
},
"relationships": {
"property": {
"data": {
"type": "properties",
"id": "23"
}
}
},
"links": {
"self": "https://b.anny.co/api/v1/resource-properties/7312"
}
},
{
"type": "resource-properties",
"id": "7311",
"attributes": {
"value": "1. OG",
"order_index": 1
},
"relationships": {
"property": {
"data": {
"type": "properties",
"id": "266"
}
}
},
"links": {
"self": "https://b.anny.co/api/v1/resource-properties/7311"
}
},
{
"type": "resource-properties",
"id": "7313",
"attributes": {
"value": true,
"order_index": 2
},
"relationships": {
"property": {
"data": {
"type": "properties",
"id": "22"
}
}
},
"links": {
"self": "https://b.anny.co/api/v1/resource-properties/7313"
}
},
{
"type": "resource-properties",
"id": "7315",
"attributes": {
"value": true,
"order_index": 3
},
"relationships": {
"property": {
"data": {
"type": "properties",
"id": "1624"
}
}
},
"links": {
"self": "https://b.anny.co/api/v1/resource-properties/7315"
}
},
{
"type": "resource-properties",
"id": "7316",
"attributes": {
"value": true,
"order_index": 4
},
"relationships": {
"property": {
"data": {
"type": "properties",
"id": "21"
}
}
},
"links": {
"self": "https://b.anny.co/api/v1/resource-properties/7316"
}
},
{
"type": "resource-properties",
"id": "7314",
"attributes": {
"value": true,
"order_index": 5
},
"relationships": {
"property": {
"data": {
"type": "properties",
"id": "11"
}
}
},
"links": {
"self": "https://b.anny.co/api/v1/resource-properties/7314"
}
}
],
"included": [
{
"type": "properties",
"id": "23",
"attributes": {
"label": "Capacity",
"icon": "users",
"value_type": "number",
"filterable": true,
"private": false
}
},
{
"type": "properties",
"id": "266",
"attributes": {
"label": "Floor",
"icon": "layer-group",
"value_type": "string",
"filterable": true,
"private": false
}
},
{
"type": "properties",
"id": "22",
"attributes": {
"label": "Beamer",
"icon": "projector",
"value_type": "boolean",
"filterable": true,
"private": false
}
},
{
"type": "properties",
"id": "1624",
"attributes": {
"label": "Conference Speaker",
"icon": "phone-office",
"value_type": "boolean",
"filterable": true,
"private": true
}
},
{
"type": "properties",
"id": "21",
"attributes": {
"label": "Flip-Chart",
"icon": "presentation",
"value_type": "boolean",
"filterable": true,
"private": false
}
},
{
"type": "properties",
"id": "11",
"attributes": {
"label": "Barrier-free",
"icon": "wheelchair",
"value_type": "boolean",
"filterable": true,
"private": false
}
}
]
}Resource Management
Get all resource properties of a specific resource
GET
/
api
/
v1
/
resources
/
{resource_id}
/
resource-properties
Get all resource properties of a specific resource
⌘I